#
# Conditional build:
%bcond_with	tests	# test suite

%define	kf_ver	5.96
%define	qt_ver	5.15
Summary:	FUSE interface for KIO
Summary(pl.UTF-8):	Interfejs FUSE dla KIO
Name:		kio-fuse
Version:	5.1.0
Release:	1
License:	GPL v3+
Group:		X11/Applications
#Source0Download: https://github.com/KDE/kio-fuse/tags
Source0:	https://github.com/KDE/kio-fuse/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9b20d42e0ef3ea7686da694796ca0261
URL:		https://github.com/KDE/kio-fuse
BuildRequires:	Qt5Core-devel >= %{qt_ver}
%{?with_tests:BuildRequires:	Qt5DBus-devel >= %{qt_ver}}
%{?with_tests:BuildRequires:	Qt5Test-devel >= %{qt_ver}}
BuildRequires:	cmake >= 3.16
BuildRequires:	kf5-extra-cmake-modules >= %{kf_ver}
BuildRequires:	kf5-kcoreaddons-devel >= %{kf_ver}
BuildRequires:	kf5-kio-devel >= %{kf_ver}
BuildRequires:	libfuse3-devel
BuildRequires:	libstdc++-devel >= 6:7
BuildRequires:	pkgconfig
Requires:	Qt5Core >= %{qt_ver}
Requires:	kf5-kcoreaddons >= %{kf_ver}
Requires:	kf5-kio >= %{kf_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FUSE interface for KIO.

%description -l pl.UTF-8
Interfejs FUSE dla KIO.

%prep
%setup -q

%build
%cmake -B build \
	%{!?with_tests:-DBUILD_TESTING=OFF}

%{__make} -C build

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md TODO
%attr(755,root,root) %{_libexecdir}/kio-fuse
%{_datadir}/dbus-1/services/org.kde.KIOFuse.service
%{systemduserunitdir}/kio-fuse.service
%{systemdtmpfilesdir}/kio-fuse-tmpfiles.conf
%changelog
* Thu Jun 12 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kio-fuse.git;a=log;h=master

* Thu Jun 12 2025 Jakub Bogusz <qboosh@pld-linux.org> c8d09f5
- added dbus service file

* Thu Jun 12 2025 Jakub Bogusz <qboosh@pld-linux.org> 3262c8f
- new

